Description

I wanted to understand if the Offline tool could be used for concurrent editing. The idea is to have the organisation's primary data stored in

a PostGIS database. If an Offline project was created, could a user safely make edits to the primary data (source). However, it appears

that the Offline tool will overwrite edits made to source data.

Test workflow:

Create Offline project for a PostGIS point layer.

Toggle editing on and move a single point by dragging it to a new llocation.

Save edit and toggle editing off of the Offline project layer.

Add source PostGIS layer.

Edit the same point in the source layer by to a different location.

Save and toggle editing off.

Synchronise the Offline project.

Outcome: Source layer edit is overwritten by Offline project with no warning.

Note: If this how the tool is designed then locking the layer could be and option. There is some discussion about table/row locking in #972

The way the tool currently works means that if an Offline project is created then the source data cannot be modified until the Offline

project is synchronised. This would not be workable for many business applications. It would good if a check could be run against the

source data (perhaps a comparison of a row's last modified time stamp) to identify features that were modified after the Offline project

was created so that the user can determine which edits are appropriate.

Related issues:

Related to QGIS Application - Feature request # 972: do locking when features... Open

History

#1 - 2016-07-04 02:15 AM - Giovanni Manghi

- Operating System deleted (qgis-windows 10, PostGIS 2.2 Ubuntu 16.04 )

- Status changed from Open to Feedback

I think that this is how the tool is intended to work. It could be improved, but that would be a feature request, not a bug.

Meanwhile you may want to look to this plugin

https://github.com/Oslandia/qgis-versioning

#2 - 2016-07-04 05:14 AM - Matthias Kuhn

- Subject changed from Offline tool overwrites source PostGIS data to Add conflict management to offline editing

- Tracker changed from Bug report to Feature request

#3 - 2016-07-04 05:18 AM - Matthias Kuhn

- Assignee deleted (Matthias Kuhn)
#4 - 2017-05-01 12:46 AM - Giovanni Manghi

- Easy fix? set to No
